Subject: OpenMP & OpenACC GPU directives, an alternative to CUDA - Mar 17-18, 2016
From: Rolf Rabenseifner <[email-masked]>
To: [email-masked]
Date: Wed, 3 Feb 2016 11:57:30 +0100 (CET)

Dear Madam or Sir/ Sehr geehrte Dame, sehr geehrter Herr,

Please, can you pass this GPU course announcement also to 
interested colleagues.  / Es waere schoen, wenn Sie diese Ankuendigung 
auch an interessierte Kollegen weitergeben koennten.

http://www.hlrs.de/training/2016/XK - further details see below.

Kind regards / Mit freundlichen Gruessen
Rolf Rabenseifner and Joerg Hertzer

________________________________________
The courses in our GPU programming week:

Mar 14-16: GPU Programming using CUDA
            http://www.hlrs.de/training/2016/CUDA1

Mar 17-18: OpenMP and OpenACC GPU Directives for Accelerated Supercomputers
            http://www.hlrs.de/training/2016/XK

======================================================================
                      Call for Participation
======================================================================
Dear HPC-user,

OpenMP and OpenACC GPU directives are open standards, as simple 
as OpenMP for parallelization, but with a performance opportunity 
similar to CUDA, and also available on other hardware systems.

I hope to awaken your interest in this emerging technology
in the area of High Performance Computing (HPC).
Specialists from Cray, Stefan Andersson and Mandes Schoenherr 
will teach this course and assist you in the hands-on sessions.

            OpenMP and OpenACC GPU Directives 
         for Parallel Accelerated Supercomputers -- 
       an alternative to CUDA from Cray perspective. 
                   March 17-18, 2016
      at HLRS, Allmandring 30, Stuttgart, seminar room.

Abstract:
This workshop will cover the directive-based programming 
model based on OpenMP v4 and OpenACC v2 whose multi-vendor 
support allows users to portably develop applications for 
parallel accelerated supercomputers. 
The workshop will also demonstrate how to use the Cray 
Programming Environment tools to identify application 
bottlenecks, facilitate the porting, provide accelerated 
performance feedback and to tune the ported applications. 
The Cray scientific libraries for accelerators will be 
presented, and interoperability of the directives 
approach with these and with CUDA will be demonstrated. 
Through application case studies and tutorials, users 
will gain direct experience of using both OpenMP and 
OpenACC directives in realistic applications. 
Users may also bring their own codes to discuss with Cray 
specialists or begin porting. 
 
Further information on this course and registration,
please see 
        http://www.hlrs.de/training/2016/XK
 
(You may have to accept an unofficial certificate before you can 
 view the course page - my apologies for this)

We will provide a system with test accounts for the participants.

Deadline for registration is already Feb. 14, 2016.

This course is a PRACE Advanced Training Centre (PATC) course at HLRS.
The course language is English. 

I hope, we can see you in Stuttgart,
best regards
Rolf Rabenseifner

PS: 
  Information on further courses:
  - by HLRS: 
  http://www.hlrs.de/training  and
  http://www.hlrs.de/training/course-list
  - by the Gauss Centre of Supercomputing (GCS):
  http://www.gauss-centre.eu/training
  - by the PRACE Advanced Training Centres (PATCs)
  http://www.training.prace-ri.eu/

---------------------------------------------------------------------
I would appreciate if you could forward this email to interested
colleagues.  If you receive double postings or you want to stop
these postings, then please reply the email-address(es) that
should be unsubscribed, and include "unsubscribe" in the subject line.
---------------------------------------------------------------------

---------------------------------------------------------------------
Dr. Rolf Rabenseifner .. . . . . . . . . . email [email-masked]
Dr.-Ing. Joerg Hertzer . . . . . . . . . . . . . . .. [email-masked]
High Performance Computing Center (HLRS) . phone ++49(0)711/685-65530
University of Stuttgart .. . . . . . . . . and : ++49(0)711/685-65932
Nobelstr. 19, D-70569 Stuttgart, Germany . . (Course: Allmandring 30)
---------------------------------------------------------------------